package org.jdtaus.banking.ri.txtdirectory;

import java.util.HashMap;
import java.util.Map;
import java.util.Locale;
import java.util.ResourceBundle;
import java.text.MessageFormat;

abstract class XMLTextschluesselVerzeichnisBundle{ 

/** <pre> No JAXP validation available. {0}</pre>. */
public static String getNoJAXPValidationWarningText(final Locale locale) {
    return getMessage("noJAXPValidationWarning", locale);
}

/** <pre> No JAXP validation available. {0}</pre>. */
public static MessageFormat getNoJAXPValidationWarningMessage(Locale locale) {
    if(locale == null) { locale = Locale.getDefault(); }
return new MessageFormat(getMessage("noJAXPValidationWarning", locale), locale);
}

private static final Map cache = new HashMap();

private static String getMessage(final String key, Locale locale) {
    if(locale == null) { locale = Locale.getDefault(); }
    Map msgCache = (Map) cache.get(locale);
    if(msgCache == null)
    {
        msgCache = new HashMap();
        cache.put(locale, msgCache);
    }

    String msg = (String) msgCache.get(key);
    if(msg == null)
    {
        msg = ResourceBundle.getBundle(
        "org.jdtaus.banking.ri.txtdirectory.XMLTextschluesselVerzeichnis", locale).getString(key);
        msgCache.put(key, msg);
    };
    return msg;
}

}
